PDF::API2::Resource::Font::CoreFont(3)

NAME
PDF::API2::Resource::Font::CoreFont - Module for using the 14 standard PDF fonts.

SYNOPSIS
    my $pdf = PDF::API2->new();
    my $font = $pdf->font('Times-Roman');

    my $page = $pdf->page();
    my $text = $page->text();
    $text->font($font, 20);
    $text->translate(200, 700);
    $text->text('Hello world!');

    $pdf->save('/path/to/new.pdf');

STANDARD FONTS
The following fourteen fonts are available in all PDF readers that conform to the PDF specification:

•   Courier

•   Courier-Bold

•   Courier-BoldOblique

•   Courier-Oblique

•   Helvetica

•   Helvetica-Bold

•   Helvetica-BoldOblique

•   Helvetica-Oblique

•   Symbol

•   Times-Bold

•   Times-BoldItalic

•   Times-Italic

•   Times-Roman

•   ZapfDingbats

These fonts (except Symbol and ZapfDingbats) include glyphs for ASCII and certain Latin characters only. If other characters are needed, you will need to embed a font file.

METHODS

  is_standard
    my $boolean = $class->is_standard($name);

Returns true if $name is an exact, case-sensitive match for one of the standard font names shown above.